# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`cerebro`](#cerebro): Installs and configures Cerebro

_Private Classes_

* `cerebro::config`: Configures Cerebro
* `cerebro::install`: Installs Cerebro
* `cerebro::params`: 
* `cerebro::service`: Manages Cerebro service
* `cerebro::user`: Creates the cerebro user

## Classes

### cerebro

Installs and configures Cerebro

* **See also**
https://github.com/lmenezes/cerebro

#### Examples

##### Basic usage

```puppet
include cerebro
```

##### Installing a specific version

```puppet
class { 'cerebro':
  version => '0.8.1',
}
```

#### Parameters

The following parameters are available in the `cerebro` class.

##### `version`

Data type: `String[1]`

Defines the Cerebro version.

Default value: $cerebro::params::version

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`

Determines whether the cerebro service should be running.

Default value: $cerebro::params::service_ensure

##### `service_enable`

Data type: `Boolean`

Determines whether the cerebro service should be enabled when the system is booted.

Default value: $cerebro::params::service_enable

##### `secret`

Data type: `String`

Specifies the secret string used to sign session cookies etc.

Default value: $cerebro::params::secret

##### `hosts`

Data type: `Array[Struct[{
    host => Stdlib::HTTPUrl,
    name => String[1]
  }]]`

Defines an array of known hosts hashes.

Default value: $cerebro::params::hosts

##### `basepath`

Data type: `Variant[Pattern[/^\/$/],Stdlib::Unixpath]`

Specifies the application base path.

Default value: $cerebro::params::basepath

##### `shell`

Data type: `Stdlib::Unixpath`

Specifies a shell for the cerebro user.

Default value: $cerebro::params::shell

##### `manage_user`

Data type: `Boolean`

Determines whether to creating the user that the cerebro process is executed as.

Default value: $cerebro::params::manage_user

##### `cerebro_user`

Data type: `String[1]`

Specifies the user that cerebro process is executed as.

Default value: $cerebro::params::cerebro_user

##### `package_url`

Data type: `Optional[String[1]]`

Defines a package location for downloading cerebro.

Default value: $cerebro::params::package_url

##### `java_opts`

Data type: `Array[String[1]]`

Defines the `JAVA_OPTS` variables.

Default value: $cerebro::params::java_opts

##### `java_home`

Data type: `Optional[Stdlib::Unixpath]`

Defines the `JAVA_HOME` path.

Default value: $cerebro::params::java_home

##### `basic_auth_settings`

Data type: `Optional[Hash]`

Defines basic authentication settings.

Default value: $cerebro::params::basic_auth_settings

##### `address`

Data type: `Optional[Stdlib::IP::Address]`

Defines the IP address cerebro should listen on.

Default value: $cerebro::params::address

